Charred Dirt Changes Log
-------------------------------

----------------------------------
Game Changes from 0.95 -> 0.99
----------------------------------
-New super weapon added (secret character)
-Another new super weapon added (secret character)
-New player selection graphics added. (Got rid of the animating background
 that was slowing down alot of systems)
-HUD redesigned to be smaller and more compact
-New level added: Siberian Ice Caverns
-Restructured the directory tree. Engine will now look for all data in the
 ./data folder.
-Ice spikes added as a hazard to the Siberian Ice Caverns
-Added the locks on the secret characters whom can now only be unlocked
 by completeting a single player game with certain conditions.
-Screenshots are now stored in the 'screenshots' folder
-Streamlined the player selection process for computer players. Computers will
 now select their own tanks/attributes without having the player select a tank
 for them.
-Snipers will now turn their wrath to the player who last damaged them
-Added new computer AI types: Lobber & Gunner
-Fixed computer aiming system so there would be less impossible shots causing
 the bots to fire at 1000 power
-The "-logfile" command line parameter now stores log files in the ./logs sub-
 directory creating it if it dosen't already exist
-Fixed a bug that skiped a players turn if another player fell to their death 
 while the first player was taking their shot
-Added (secret character's super weapon) - Ballistic
-Added Lock's super weapon: Orbital Beam Cannon
-Added a final explosion effect to the funky bomb/nuke
-Fixed a minor spelling error on the intermission screen.  ;)
-Added new shield: NIV Shield which instantly sets HEB stats to (9,9,9) for
 one turn cycle only ($20000/1)
-Increased the damage radius of the lightning rod from 1x to 1.5x 
 (from 2x to 3x underwater)
-Increase number of water splash particles from 65 to 100
-Increased the spawn velocity of the water splash
-Added the "Proton Flare" as a level 2 energy weapon
-Added the "Fire Toad" as a level 2 heat weapon
-Dedicated servers will no longer draw the explosion onto memory bitmaps thus
 fixing problems with the dedicated servers slowing down on large explosions
-Fixed a minor glitch with the ballistic sentry pods and aiming
-Added "forcetime" cvar that will force the game to run at 60FPS by skipping
 frames (0=off 1=on)
-Added funky bomb as a level 2 conventional weapon
-Mia's super weapon added (super conventional) (Credit for the sounds go to
 MadboyV1)
-Added the "-nomusic" option to disable FMOD/Music from loading
-Flak detonator explosion adjusted so that the shards will no longer clip the
 tank when a direct hit occurs
-Level editor can now place tanks under ground with no-dirt gravity option
 set
-Richie's super weapon added (super conventional)
-Fixed a bug that spawned tanks slightly inside the dirt
-Added the Funky Bomb in as a conventional weapon. 5/$6500
-Twin Electric Lances added as Miki's super weapon.
-Black Hole Bomb added as Jack's super weapon. (MadBoyV1 again with the sounds)
-Polaris Missile added as Meshko's super weapon. (Another big thanks to 
 MadBoyV1 for helping out with the sounds)
-Fixed some loose ends on that may have caused autodefense to lock
 up during intermission
-Added graphics for secret characters

Balance Changes 0.95 -> 0.99
---------------
-Shooter AI has a 150 pixel margin of error (up from 120)


----------------------------------
Game Changes from 0.90 -> 0.95 (Demo release)
----------------------------------
-Monkey Mortar added as Saru's ballistic super weapon. (Thanks to MadBoyV1
 for helping out with the sounds)
-Dedicated servers will now count the number of rounds down and play full
 games. Once the final round has completed, the dedicated server will reset
 the game and players have the option of either quitting or continuing.
-Modified the "addbot" command to accept custom optional bot names. You 
 can also specify a random AI as well.
 Usage is now: addbot <stoopid|shooter|sniper|random> <name>
-Fixed a bug that would allow a player to damage himself and not take
 any damage on teamplay mode with friendlyfire disabled
-Fixed a inconsistancy involving the master server removing a player
 from the turn que before the actual turn was advanced
-Added a weapons list drop down menu that players can select their
 weapon simply by clicking on the weapon selection box on the
 upper right
-Fixed a few more issues with the dedicated server's bot getting stuck
 while attempting to target other players (big thanks to redness)
-Dedicated servers no longer eat up 100% CPU usage
-Added the Super Conventional Shield providing 150 extra HP and +2 in all
 HEB categories. (1/$10,000)
-Fixed a cvar string length issue that would cause a very long MOTD message
 to be cut off
-Groundswork for secret characters has been added (ALT on player select menu)


----------------------------------
Game Changes from 0.87 -> 0.90
----------------------------------
-Game has now entered the final "Omega" stage in development
-Fixed a bug that would cause any server to freeze up when more than
 eight connection attepts are made
-Expanded the 'addbot' command to accept what type of AI to add
 in. Either (stoopid, shooter or sniper). Leave the command blank to
 add in a random AI
-Added support for password protected servers
-Added new command 'listplayers' to list all players in the game
-Added new command 'kick <player num>' to boot a player/bots from a
 server
-Added new command 'ban <ip>' to ban a specific IP address from 
 servers
-Added new command 'banlist' that lists all bans that are active
 on a server
-Added a "End Game" option on the single player menu to enable players
 to go back to the title screen during any part of the game
-Added MOTD support for servers
-LAN Game searches and Internet game searches now have their own
 seperate button on the multiplayer menu
-Bots will not wait until a human player if fully connected before 
 attempting to aim at them
-Fixed a bug that caused both client & server to freeze when only
 one player joined the game
-Fixed the bug that caused the game to still think you're connected
 mode when you hit the cancel button after browsing games.
-Fixed a winsock error when the server tried to send data of a computer
 player that has taken the place of another human player that disconnected.
-Servers will now reset levels if all human players disconnect before the 
 level is over
-Players can no longer adjust angle, power, move etc. after taking their
 turn by shooting
-Added 'resetlevel' which will reload the level & players during gameplay
-Fixed a bug with the "-logfile" command line parameter that caused the
 game to crash
-"endlevel" and "addbot" commands have been disabled on the client
 during multiplayer games to prevent bad things from happening
-Cleared up some faulty code that was causing dedicated servers to 
 lock up while bots were playing.
-Team play support added! (Blue and Red teams - cvar: teamplay)
-Friendly fire support added for teamplay. (cvar: friendlyfire 0=off; 1=on)
-Re worked the "new game" and "Create game" dialog boxes to accustom more 
 options and made it more user friendly
-Added a new super weapon -> Giga Nuke (1/$80000)

Balance Changes 0.87 -> 0.90
---------------
-Fixed a pricing error. You can now buy napalm 3/$10000 instead  of
 5/$10000 (thanks MadBoyV1!)
-Increased the Death's Head up from (1/$75000) to (1/$80000)


----------------------------------
Game Changes from 0.85 -> 0.87
----------------------------------
-Added a new tank death -> Alien Abduction
-Fixed a bug that caused a player not to die right away when they
 died from a fall
-Fixed a bug that caused water that is stacked to the top of the screen
 to freeze the game when a missile entered into it
-"Specify IP" button now works in the Join-Game menu
-Joining a game will now search on the local LAN games as well as on  the internet
-Setting "intermissiontime" or "shotclocktime" cvar to -1 will disable  the timer countdown for that event
-Money/points are no longer awarded at the end of the round unless  there are at least two non-spectator players in the game
-Players cannot shoot/move or anything unless there are at least two  players in in  the game whilst in multiplayer mode
-Added a "Disconnect" option on the main menu whilst in multiplayer  games to easilly go from multiplayer->single player and back
-New console added. Access it by hitting the tilde key -> `
-"+set <varible_name> <value>" command line options for the console
-Cdirt.cfg rewritten to hold cvar varibles instead of binary. Cdirt.cfg
 gets executed by the console on startup (as does server.cfg for servers)
-Dedicated server that runs a non-stop game loop has been created for  those who wish to run dedicated servers
-Fixed a major glitch in multiplayer that caused clients who had a  lower FPS or a higher ping to go out of sync with the server.
-Rewrote the main menu code a little bit to be more "coder friendly" to  dynamic changes
-Fixed a bug that did not clear old tank varibles when starting new  games
-Added all new tank quotes into the game
-Fixed a bug that caused the server to lockup if a player joined during  autodefense setup
-Fixed a bug with the Railgun dishing out 2x damage in the balistic and energy categories

Balance Changes 0.85 -> 0.87
---------------
-Ballistic sentry pods will fire 15 shots, down from 22

----------------------------------
Game Changes from 0.84 -> 0.85
----------------------------------
-Increased damage of the Laser Pulse from (0,200,0) to (0,250,0)
-Tanks now recieve 50 heat damage if they're touching the floor in
 Mouth of Inferno
-Fixed a bug with EMP blast stealing sentry pods that were not in range
-Added a bouncing "turn arrow" that appears over tanks as it becomes
 their turn

Balance Changes 0.84 -> 0.85
---------------
-AFRAMM cost reduced from (6000/5) to (5000/5)


----------------------------------
Game Changes from 0.83 -> 0.84
----------------------------------
-Added cherry blossum effect in Japanese Castle
-Added rain effect with random lightning in Battlefield 2042
-Added music to the Japanese Castle
-Added heat corona effect in Mouth of Inferno
-Added random spewing lava in Mouth of Inferno
-Tanks that are touching the bottom of the screen in the Inferno
 level now take 10 heat damage per second

----------------------------------
Game Changes from 0.82 -> 0.83
----------------------------------
-Converted the multiplayer code *back* to TCP introducing slower network 
 preformance but pure reliability
-Fixed a bug with tracers advancing the turn in multiplayer when they
 shoulden't
-Fixed an issue with battery charges not activating correctly in a multiplayer
 game
-Added "-connect <address>" option to the command line to specify what game to
 join manually
-Server now reports walltype/gravity type & player info to clients when
 requesting server info
-Fixed a bug where server was not sending customer gravity/wall settings
-Added little more complete stats including starting cash, number of rounds
 hostname...etc
-Fixed the bug where money amount did not decrease when you bought items
 thus allowing unlimited ammo in multiplayer games when you were not the
 host

----------------------------------
Game Changes from 0.81 -> 0.82
----------------------------------
-Added a "Refresh" button to refresh the master server list
-You can now press ESC while connecting to abort and return to the main
 menu
-Added the "-port" command line option to allow players to specify what
 port they wish to off of
 Usage: cdirt.exe -port <number>
-Fixed the menu bug allowing to click on menu items that weren't there
-Revamped the client/server connection code & cleaned things up
 a bit
-Fixed a multiplayer flaw that set the game into the playstate without
 loading the level, causing a crash


----------------------------------
Game Changes from 0.80 -> 0.81
----------------------------------
-Streamlined error message on the client side (mainly: full server
 messages)
-Fixed the bug where you'd have to hit cancel twice to exit from
 the join game dialog
-Included the missing level "Carlsbad Caverns" that was left
 out from the demo distro
-Fixed a bug allowing servers to become instantly full when 
 incoming client tanks were not initalized correctly

----------------------------------
Game Changes from 0.74 -> 0.80 (Demo release)
----------------------------------
-Experimental multiplayer
-New level (Japanese Castle)
-New level (Mouth of Inferno)

----------------------------------
Game Changes from 0.73 -> 0.74
----------------------------------
-Switched the multiplayer protocol to use UDP instead
 of TCP
-Fixed a bug that caused the game to crash when running 
 in a directory with spaces via windows explorer due to
 searching for command line switches that wern't there
-Fixed a bug with keyboard responsiveness
-Fixed a minor FPS issue on Carlsbad Caverns

----------------------------------
Game Changes from 0.72 -> 0.73
----------------------------------
-Added command line support
-Added "-nosound" to disable sound (for John)
-Added "-demoloop" that will auto-setup the game for
 1000 rounds with random computer AI
-Adjusted sniper AI interpretation of sentry pods so they
 dont consistantly use them all the time
-Added support for chatting (message system) by
 hitting <Enter> whilst in the game

----------------------------------
Game Changes from 0.71 -> 0.72
----------------------------------
-New level added (Battlefield 2042)
-Wrote up a brand new winsock API
-Added shell functionality for Join Game and Create
 Game under the multiplayer menu
-Fixed a music bug that only seemed to affect Carlsbad
 Caverns
-Fixed a bug that would cause sprite sounds to be played
 at maximum volume reguardless what the in-game volume was
 set to.

----------------------------------
Game Changes from 0.70 -> 0.71
----------------------------------
-Added console-like HUD text
-Fixed a small memory leak in the player setup menus
-Multiplayer option added to the main menu
 (ALT key reveals the Editor)
-Fixed a small glitch causing text on the player class
 dialog not to show up

----------------------------------
Game Changes from 0.69 -> 0.70
----------------------------------
-Two new tank death animations added (6 total)
-Fixed a bug when the game would crash when a 
 level didn't have music
-Stream lined dialog box code and tank quote code
 to clean things up for multiplayer
-Added an option to enable/disable talking tanks

----------------------------------
Game Changes from 0.68 -> 0.69
----------------------------------
-Death's Head added (Super)
-New level added: Carlsbad Caverns
-Cave spikes added as hazard damage into carlsbad caverns
-Inventory screen now displays "Upcoming Level" with 
 the level name below it
-Added support for various and different tank deaths
-Fixed the "invulnerable missile turret" bug
-Small spark ball is now only accessable to computer
 players
-Replaced large spark ball sprite with the small spark
 ball sprite

Balance Changes 0.65 -> 0.67
---------------
-Heavy roller damage increased to (250,0,0) from
 (200,0,0)
-Large fireball damage increased to (250,0,0) from
 (150,0,0)
-Removed the dirt ball
-Removed the riot blast
-Increased lava ball damage to (2,0,0) from (1,0,0) per
 particle


----------------------------------
Game Changes from 0.67 -> 0.68
----------------------------------
-Touched up the napalm damage system to make it more
 streamlined
-FireFly added (Heat)
-Fixed a small bug with Uzi spray not advancing to
 the next player's turn
-Added mass kill (Options->Game->Mass Kill)
-Added menu (Options->Game->Map Settings) to allow 
 players to specify their own wall/gravity options 
 overriding the ones in the level
-Fixed some minor mismatched varibles in "cdirt.cfg"
-Added menu (Options->Game->Starting Cash) to allow
 players to configure the amount of starting cash


----------------------------------
Game Changes from 0.65 -> 0.67
----------------------------------
-Options menu added for fullscreen/windows
-Options menu added for sound/music volume
-Modified the main menu a little
-Added gravity options. Ground, tanks & water can defy
 gravity per level settings in the editor
-Added different wall types (Rubber walls, Cement walls and
 Wrap-around walls). Configurable in the editor
-Fixed a bug causing rolling missiles to explode when they reach
 the far right edge of the screen
-Fixed a bug that allowed computers to take another shot
 after launching a sentry pod
-Railgun added (Ballistic)
-Fixed a bug causing the game to crash if any menu item 
 that accepted text was given the focus
-Game is fully playable via joystick support
-Heatray added (Heat)
-Removed 'Load Game' and 'Save Game' option from the
 main menu

Balance Changes 0.65 -> 0.67
---------------
-Decreased Flak-Detionator shard damage from (0,0,250) to 
 (0,0,200)
-Cash amount for killing another tank increased from
 $10000 per kill to $20000 per kill
-Cash amount for not winning a round increased from
 $10000 to $15000
-Cash amount for winning a round (last standing) increased
 from $20000 to $35000
-Nuke cost increased from $15000/1 to $20000/3
-Tracers can now only be used once per turn
-AFRAMM cost increased from $5000/5 to $6000/5
-MIRV damage increased from (65,65,65) to (75,75,75)
-All sentry pods cost decreased from $13000/1 to 
 $10000/1

----------------------------------
Game Changes from 0.64 -> 0.65
----------------------------------
-New level added (Angel Falls)
-Vulcan Twilight now has lava rock enviornmental damage
-Added a snow effect to the Artic level
-Basic joystick support added

Balance Changes 0.64 -> 0.65
---------------
-Number of Nukes recieved decreased from 3 to 1 per each
 purchase
-Nuke radius increased from 125 to 130

----------------------------------
Game Changes from 0.63 -> 0.64
----------------------------------
-Revamped the CDL file format. All levels previous to this
 version will no longer load
-Sprite support has been added into the level editor for
 pre-spawned game sprites & level hazards
-Fixed a bug where firing the machine gun off the side of the
 screen wouldn't advance the turn que
-Fixed a small bug with computer AI aiming
-Mouse-over info for tanks now display both name & cash amount
-Sentry pods are now color tinted to their parent tank
-Missile Turret added (Special)
-Static water feature added to levels
-Machine gun, shotgun blast and Uzi spray now have
 the "empty shell drop" effect
-Sentry pods will now select the closest non-friendly
 tank as their target instead of just randomly picking
 anyone
-Sentry pods will now face their targets

Balance Changes 0.63 -> 0.64
---------------
-MIRV damage increased from (60,60,60) to (65,65,65)
-Baby Nuke damage decreased from (120,120,120) to 
 (90,90,90)
-Nuke damage decreased from (130,130,130) to 
 (110,110,110)
-Sentry pods HP increased from 50 to 75

----------------------------------
Game Changes from 0.62 -> 0.63
----------------------------------
-Super Acid added (Ballistic)
-Super Plasma added (Energy)
-Ballistic Sentry Pod added (Ballistic)
-Electric Sentry Pod added (Energy)
-Fire Sentry Pod added (Heat)
-Firestarter flames not going out after hitting a sprite bug
 has been fixed
-Sparkball added (Energy)
-Large Sparkball added (Energy)
-Buystuff screen now has custom blue buttons
 (Thanks to Chef for the idea)

Balance Changes 0.62 -> 0.63
---------------
-Napalm cost decreased from $15000/3 to $10000/3
-Acid Splash damage decreased from (0,0,3) per particle to (0,0,2)
-Acid Splash cost decreased from $15000/3 to $10000/3
-Plasma cost decreased from $15000/3 to $10000/3
-Plasma damage decreased from (0,3,0) per particle to (0,2,0)
-Plasma cost decreased from $15000/3 to $10000/3
-Shotgun blast damage increased from 7 to 15 ballistic
 damage per shell


----------------------------------
Game Changes from 0.61 -> 0.62
----------------------------------
-Tower Pod added (Defensive projectile)
-Ion Cannon got itself some new graphics & animation
-Lead Shell is now a computer exclusive weapon only. Non-
 computer players can no longer purchase it.
-Fixed a bug that caused a machine gun to damage yourself
 when shot at a 0 angle
-HEB Shields now have their own "power down" sounds
-Mini-MIRV added (Conventional - Computer only)
-Firestarter Added (Heat)
-Fixed a bug where the turn would be advanced if a player
 shot their last tracer round
-Fixed a bug where the turn que system would let a player
 go several times in a row
-Fixed a Machine Gun bug that would cause it to suddenly
 stop firing
-Replaced Lightning Rod's sprite

Balance Changes 0.61 -> 0.62
---------------
-Blue missile cost increased from $5000/10 to $10000/5
-Blue missile damage increased from (0,200,0) to (0,275,0)
-Blue missile damage radius increased from 35 to 65
-Tracer cost decreased from $8000/1 to $5000/1
-Number of Ion Cannon shots increased from 1 to 2
-Flame Thrower damage increased from (200,0,0) to (300,0,0)
-Electric Arc damage increased from (0,200,0) to (0,300,0)
-Number of AFRAMMs recieved per purchase decreased from 10
 to 5
-Baby Nuke damage increased from (90,90,90) to
 (120,120,120)
-Nuke damage decreased from (150,150,150) to (135,135,135)



----------------------------------
Game Changes from 0.60.1 -> 0.61
----------------------------------
-Tracers added (Special Class)
-Player reclass feature added allowing players to
 add/remove players and reclass a tank's AI on real-time.
-EMP Missile added (Special class)
-Fixed a bug that would cause the Flak Detonator to skip
 a players turn
-Lightning Rod added (Energy)
-Buystuff menus will display all items while graying out
 the items the player cannot afford. This makes the list
 more user friendly without the selections jumping around.

Balance Changes 0.60.1 -> 0.61
---------------
-Nuke blast radius increased from 110 to 125
-Shotgun blast spread is alot more accurate


----------------------------------
Game Changes from 0.60 -> 0.60.1
----------------------------------
-Napalm, Plasma, Acid & Water splash has been fixed reguarding
 their colors has been fixed
-Flak detionator will now spread flak shards when it comes into
 direct contact with a tank
-Fixed an annoying bug in the inventory menus that would not
 display all the items you could afford correctly until you clicked
 on the list

----------------------------------
Game Changes from 0.59 -> 0.60
----------------------------------
-New level added (Great Prymid)
-Fixed a bug that would cause the electric arc to damage its
 parent tank
-Fixed a bug that was not passing the shot angle to the 
 electrical arc graphic
-Flak Detonator added (Ballistic)
-New level added (Tough Shot)
-Fixed computer AI's aiming with straight shot weapons
-Computer AI shot is now calculated from the tip of the barrel
-Fixed a bug with inaccurate shots with computer AI
-Shotgun Blast added (Ballistic)
-Dirt ball added (Conventional)
-Ton-O-Dirt added (Conventional)
-Riot Blast added (Conventional)
-Heavy Riot Blast added (Conventional)

Balance Changes 0.59 -> 0.60
---------------
-Parent MIRV shot damage increased to (150,150,150) from
 (75,75,75)
-Child MIRV shots damage increased to (60,60,60) from
 (55,55,55)
-Water splash cost decreased to $5000/3 from $8000/3
-Fuel cost decreased to $1500/100 from $7000/100


----------------------------------
Game Changes from 0.58 -> 0.59
----------------------------------
-Cannon balls now detonate like a Lead shell
-Acid, Plasma, Napalm all got newer, bigger projectiles
-Stacy and Ricky duo are known now as Marie and Ricky
-Fixed a minor graphical glitch with the Fireball
-Ton-O-Dirt added (Neutral)
-Buystuff menus got a facelift
-Fuel added under 'Specials' & is required to move your tank
 using the 'A' and 'S' keys
-Prymid added to the foreground on the Amazon Coast for
 blowing up action
-Rollers are slightly more sensitive to ground elevations
-Fixed a bug that caused rollers to not roll on the bottom
 of the screen
-You can now hover your mouse over a tank to see their player
 name. (Works with pressing ALT as well)
-Tank barrel lengths have been shortend for both Meshko and Saru's
 tanks
-Computer AI will now try different angles if their shot
 is rendered impossible
-Adjusted Computer AI's targeting system to not aim
 inside the dirt causing wierd shots
-Added soundtracks to both the Amazon Coast and Artic
 Smack levels
-Adjusted a spawn spot on the Artic Smack level that caused
 a tank to slide down and take some damage.
-Fixed a bug where not everyone was getting $10,000 when
 the round was over.
-Autodefense added under 'Specials'
-Bug that caused the wrong item to be activated in the player
 defense box has been fixed
-Machine Gun added (Ballistic)
-Brand new GUI (thanks to AGUP) eliminated a few small bugs
-Amazon Coast level touched up a little bit
-Water mines will now pop floatation devices
-Floatation devices no longer activate automatically
-Laser sight must now be purchased under the 'Specials' category
 costing 1 for $5,000
-Fixed a bug with laser sight accuracy
-Player selection via the keyboard with arrow keys has been
 implemented
-Black Missile name changed to "A.F.R.A.M.M."
-"Sniper's aim" cheat has been removed
-Mouse aiming has been removed
-Fixed a bug that caused unlimited ammo weapons to become
 limited

Balance Changes 0.58 -> 0.59
---------------
-Nuke damage increased from (130,130,130) to
 (150,150,150)
-Lead shell damage increased from (0,0,150) to
 (0,0,200)
-Uranium shell damage increased from (0,0,250) to
 (0,0,275)
-Water splash cost decreased from $13000/3 to $8000/3
-Cannon ball damage increased from (0,0,200) to
 (0,0,250)
-Drill missile damage increased from (45,45,45) to
 (50,50,50)
-Plasma damage increased from (0.8, 0.8, 0.8) to
 (0,3,0) per particle
-Plasma now does exclusive Energy damage
-Acid Splash damage increased from (0.75, 0.75, 0.75) to
 (0,0,3) per particle
-Acid Splash now does exclusive Ballistic damage
-Laser pulse damage increase from (0,150,0) to (0,200,0)
-Nuke damage increase from (110,110,110) to (130,130,130)
-Heatwave damage increased from (150,0,0) to (275,0,0)
-Ion Cannon cost increased from $12,500 to $13,000
-Number of Ion Cannon shots recieved decreased from 3 to 1


----------------------------------
Game Changes from 0.57 -> 0.58
----------------------------------
-Music is now streamed from the HDD, elimiating the long wait
 it took to load a song into memory
-MP3 support added (big thanks to FMOD)


----------------------------------
Game Changes from 0.56 -> 0.57
----------------------------------
-OGG music support added to CDL files
-3 music files added (Sandstone, Cove, Tough Shot)
-New level added (Vulcan Twilight)
-Water Canister added
-Plasma Canister added (Conventional)
-Acid Canister added (Conventional)
-Roller added (Ballistic)
-Fixed a bug where tanks sometimes got stuck in small crevesas
 when attempting to slide down the terrain.
-Napalm weapons no longer clip tanks making direct napalm hits
 impossible
-Fixed a bug where tanks sometimes got stuck inside the
 ground
-Fixed a bug that ignored the number of rounds specified
-Computer players can no longer aim downwards
-Fixed a bug that caused the level editor to become very
 unresponsive at times
-Laser Pulse shots will now burrow into the ground a bit 
 before exploding.
-Screenshots now capture from a memory bitmap resulting in
 much faster screen captures

Balance Changes 0.56 -> 0.57
---------------
-Drill missile damage increased from (15,15,15) to (45,45,45)


----------------------------------
Game Changes from 0.55b -> 0.56 (Demo Release)
----------------------------------
-New level added (Artic Smack)
-Shooter AI is now slightly more accurate on its shots
-Wierd bug that caused the mouse to look funky and "screen 
 flickering" after using the Editor or when a game was over
 has been fixed
-Power goes 2x faster up/dn when using PGUP or PGDN
-Using the level warp cheat will no longer reset the number of
 rounds
-Tanks will now slide down steep hills
-Uranium Shell added (Ballistic)
-Laser Blast added (Energy)
-Laser Pulse added (Energy)
-Fixed a bug where not all hook functions on sprites were being
 called
-Fixed a clipping bug where shooting at 180 degrees would cause
 a missile to explode instantly
-Napalm no longer sticks to the sides of the ground

Balance Changes 0.55 -> 0.56
---------------
-Napalm now spawns 125 particles, up from 75
-Napalm explosion force increased to 65 power, up from 50
-Super Napalm spawns 225 particles, up from 150
-Super Napalm explosion force increased to 125 power, up from 100



----------------------------------
Game Changes from 0.53b -> 0.55
----------------------------------
-BIG speed increase, particle thinker functions are not ran
 if there are no particles in play
-Water mines no longer bounce on top of the water
-FlameThrower added (Heat)
-Electric Arc added (Energy)
-Water Mine added (Conventional)
-If shooting a missile of any type causes another player to fall
 to their death, the player who shot the missile will get the kill
-Drill missile added (Conventional)
-IronBall renamed to 'Cannon Ball'
-Blue missile fixed and now does exclusive electric damage instead 
 of heat

Balance Changes 0.53b -> 0.55
---------------
-Blue missile damage increased from (35,150,35) to (0,200,0)
-Lead shell cost decreased from 5/$10000 to 5/$8000
-Lead shell damage decreased from (50,50,150) to (0,0,150)



----------------------------------
Game Changes from 0.53 -> 0.53b (Demo Release)
----------------------------------
-Using the 'WER <Enter>' cheat will no longer
 crash the game


----------------------------------
Game Changes from 0.52 -> 0.53 (Demo Release)
----------------------------------
-Lead shell added
-Nuke added
-Baby nuke added
-Computer sniper AI now use HEB shields
-Computer shooter AI will only purchase 1 shield per round, down from 5
-Computer sniper AI will purchase 3 shields per round, down from 5
-Fixed a small problem where napalm wouldent damage a tank if it already hit
 another tank
-Tanks now properly rotate turns by allowing those who die first to take their
 turn first on the next round
-Bots will not take their turn until the ground has finished collasping. This
 will fix the "bots-suspended-in-air" bug.
-Minor optimizations made to speed up ground collapsing animations
-Heatwave projectiles that go off the screen no longer explode, allowing
 a second shot for computer AI
-Fixed a small bug that caused sniper players to not properly accquire 
 a target if its hanging off the side of land
-Critical memory leak involving the rendering of water has been fixed
-Fixed minor memory leak involving game sprites
-Fixed a pointer not being freed when activating a shield overtop
 of another
-Heatwave now does damage on the very outer two flames

Balance Changes 0.52 -> 0.53
---------------
-Blue missile damage increased from (135,35,35) to (150,35,35)
-MIRV blast damage increased from (35,35,35) to (75,75,75)
-Missile damage increased from (35,35,35) to (75,75,75)
-Battery charges now are purchased 5/$3500 up from 1/$750
-Winning player cash amount increased from $10000 to $20000
-All other losing players recieve $10000 when a round is completed



----------------------------------
Game Changes from 0.51 -> 0.52
----------------------------------
-Targeting system fixed where a direct hit shot would go right through
 the a tank
-Naplam now does damage like it's supposed to.
-Heatwaves now have a cooldown time to better cycle through player turns
-Players will no longer retain their extra shield points after their
 shield is depleated or if they died
-Heatwave damage increased from (100,0,0) to (150,0,0)
-Damage radius on MIRV blasts increased from 20 to 25
-Battery cost decreased from $1500 to $750 per battery
-Conventional shield cost decreased from $6000 to $4000 per shield
-Floatation device cost increased from $1500 to $7500
